Bug 835099 - (kde-base-artwork) Review Request: kde-base-artwork - KDE Base Artwork
Review Request: kde-base-artwork - KDE Base Artwork
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-06-25 10:25 EDT by Rex Dieter
Modified: 2012-07-27 21:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-27 21:22:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2012-06-25 10:25:09 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kde-base-artwork/kde-base-artwork.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kde-base-artwork/kde-base-artwork-4.8.90-1.fc17.src.rpm
Description: KDE Base Artwork
Fedora Account System Username: rdieter
Comment 1 Simon A. Erat 2012-06-28 14:31:36 EDT
Hoi Rex
Invalid Source0:   ftp://ftp.kde.org/pub/kde/stable/4.8.90/src/kde-base-artwork-4.8.90.tar.xz... 
Probably its a tar.gz or reviewer needs special permission to access source location?
Comment 2 Simon A. Erat 2012-06-28 14:38:28 EDT
First time doing a review, experienced Reviewer: please review the rebiew.
Comment 3 Rex Dieter 2012-06-28 14:51:20 EDT
URL typo, *should* have "unstable" instead of "stable" in there.
Comment 4 Simon A. Erat 2012-06-28 15:05:38 EDT
First time doing a review, experienced Reviewer: please review the rebiew.

rpmlint kde-base-artwork-4.8.90-1.fc17.src.rpm 
kde-base-artwork.src: I: enchant-dictionary-not-found en_US
kde-base-artwork.src: W: invalid-url Source0: ftp://ftp.kde.org/pub/kde/stable/4.8.90/src/kde-base-artwork-4.8.90.tar.xz <urlopen error ftp error: 550 Failed to change directory.>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

--> Accessing its ftp directory, an error 601 appears... <--


Review Rapport:
+ Naming
+ Specfile
+ Spec is US-English
- Source0
+ Lisence accepted
+ COPYING shipped
+ Lisence is in %doc
- Review file does not match upstream, due to previous errors,
  please see:  https://fedoraproject.org/wiki/Packaging/SourceURL
? Build could not be tested: Invalid Source0
? No system lib files found: Invalid Source0
+ Package is not relocatable
+ Own its directories
+ No double entries in %files
+ No executable files to set permission
? Could not check for forbidden .la libtool archives: Invalid Source0
- Missing Desktop Icon, or comment why none available
+ Proper filesystem ownership
? Could not verify packaged files: Invalid Source0

Hope this is an acceptable review
Comment 5 Simon A. Erat 2012-06-28 15:06:57 EDT
Ok, please fix it and re-upload specfile and source package.
Comment 6 Simon A. Erat 2012-06-28 15:58:36 EDT
rpm2cpio  kde-base-artwork-4.8.90-1.fc17.src.rpm | cpio -idmv


Review Update & Additions:
--------------------------
? Could not check for forbidden .la libtool archives: Invalid Source0
+ No forbidden .la libtool found

? Could not verify packaged files: Invalid Source0
+ All files using UTF-8 naming

? No system lib files found: Invalid Source0
+ No lib files shipped

- Missing Desktop Icon, or comment why none available
+ Since its a splashscreen, no icon required.


Remaining Blockers:
-------------------
- Source0
- Build fails (See below)


------------------------
yum list installed cmake
Installierte Pakete
cmake.i686           2.8.8-4.fc17                       @updates
----

CMake Error: CMake was unable to find a build program corresponding to "Unix Makefiles".  CMAKE_MAKE_PROGRAM is not set.  You probably need to select a different build tool.
CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly.
Missing variable is:
CMAKE_C_COMPILER_ENV_VAR
CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly.
Missing variable is:
CMAKE_C_COMPILER
CMake Error: Could not find cmake module file:/home/simon/rpmbuild/BUILD/kde-base-artwork-4.8.90/noarch-redhat-linux-gnu/CMakeFiles/CMakeCCompiler.cmake
CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly.
Missing variable is:
CMAKE_CXX_COMPILER_ENV_VAR
CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly.
Missing variable is:
CMAKE_CXX_COMPILER
CMake Error: Could not find cmake module file:/home/simon/rpmbuild/BUILD/kde-base-artwork-4.8.90/noarch-redhat-linux-gnu/CMakeFiles/CMakeCXXCompiler.cmake
CMake Error: CMAKE_C_COMPILER not set, after EnableLanguage
CMake Error: CMAKE_CXX_COMPILER not set, after EnableLanguage
CMake Warning (dev) in CMakeLists.txt:
  No cmake_minimum_required command is present.  A line of code such as

    cmake_minimum_required(VERSION 2.8)

  should be added at the top of the file.  The version specified may be lower
  if you wish to support older CMake versions for this project.  For more
  information run "cmake --help-policy CMP0000".
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Configuring incomplete, errors occurred!
Fehler: Fehler-Status beim Beenden von /var/tmp/rpm-tmp.9szNnH (%build)


Fehler beim Bauen des RPM:
    Benutzer rdieter1 existiert nicht - benutze Root
    Gruppe rdieter1 existiert nicht - benutze Root
    Benutzer rdieter1 existiert nicht - benutze Root
    Gruppe rdieter1 existiert nicht - benutze Root
    Fehler-Status beim Beenden von /var/tmp/rpm-tmp.9szNnH (%build)
Comment 7 Rex Dieter 2012-06-29 09:04:53 EDT
Your build failure here is due to lack of a default build environment, try
yum groupinstall buildsys-build
first
Comment 9 Rex Dieter 2012-06-29 09:17:06 EDT
Another try
http://koji.fedoraproject.org/koji/taskinfo?taskID=4207494
Comment 10 Simon A. Erat 2012-06-29 09:44:09 EDT
Review Update:
--------------
- Source0
+ Source0 fixed

- Build fails (See below)
+ Build succeeds

Review passed, no more blockers.
Comment 11 Simon A. Erat 2012-06-29 09:47:19 EDT
ACCEPT

But cant set fedora-review flag to: +
Since i'm no proven packager.
Comment 12 Kevin Kofler 2012-06-29 18:50:33 EDT
> Your build failure here is due to lack of a default build environment, try
> yum groupinstall buildsys-build
> first

Actually, I don't recommend using rpmbuild directly for the test builds at all, but mock or koji scratch-build. (The latter is only accessible to sponsored packagers though.)

> But cant set fedora-review flag to: +
> Since i'm no proven packager.

s/proven/sponsored/
Comment 13 Kevin Kofler 2012-06-29 18:54:17 EDT
This should:
Requires: kde-workspace
not just kde-filesystem. %{_kde4_appsdir}/ksplash and %{_kde4_appsdir}/ksplash/Themes are owned by kde-workspace, and besides this theme is useless without KSplash installed.
Comment 14 Jason Tibbitts 2012-06-29 19:36:44 EDT
Being a sponsored packager is in no way required in order to do koji scratch builds.
Comment 15 Simon A. Erat 2012-06-30 07:09:46 EDT
True that @ Jason.
Changed my review script to use koji instead, which saves also the hazzle to localy install the required packages to build.
But imho also takes the ability to verify the installation, which i had forgotton to test.

@ Kevin, so now i wait for the update do a final check?
Or do you want to take over?
Comment 16 Rex Dieter 2012-07-26 09:43:02 EDT
Simon, thanks for the review, imo, and is adequate, would you mind setting review flag to + if you APPROVE then?
Comment 17 Simon A. Erat 2012-07-27 07:13:06 EDT
Rex, sorry due to moving apartments i forgot about it.
Still cant approve, so i reset it, and hope Kevin (since he'd postet here) or someone else can do set the approval flag for you.

Which was the reason for my last post here, obviously.
Comment 18 Simon A. Erat 2012-07-27 07:18:06 EDT
Either way, please do the changes Kevin asked to in Comment 13 : https://bugzilla.redhat.com/show_bug.cgi?id=835099#c13

Once that is applied i (unexperienced) see no reason to not approve it. (german syntax)
Comment 19 Rex Dieter 2012-07-27 11:14:55 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kde-base-artwork/kde-base-artwork.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kde-base-artwork/kde-base-artwork-4.9.0-1.fc17.src.rpm

%changelog
* Fri Jul 27 2012 Rex Dieter <rdieter@fedoraproject.org> 4.9.0-1
- 4.9.0
- Requires: kde-workspace
Comment 20 Kevin Kofler 2012-07-27 18:08:31 EDT
This is fine now, all the issues raised were addressed.

APPROVED
Comment 21 Rex Dieter 2012-07-27 18:33:02 EDT
thanks.

New Package SCM Request
=======================
Package Name: kde-base-artwork
Short Description: KDE Base Artwork
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f17
Comment 22 Gwyn Ciesla 2012-07-27 19:21:29 EDT
Git done (by process-git-requests).
Comment 23 Rex Dieter 2012-07-27 21:22:36 EDT
imported

Note You need to log in before you can comment on or make changes to this bug.